## Function template parse_filter

boost::log::parse_filter

## Synopsis

    // In header: <boost/log/utility/setup/filter_parser.hpp>

    template<typename CharT>
      filter parse_filter(const CharT * begin, const CharT * end);

## Description

The function parses a filter from the sequence of characters

Throws: An `std::exception`-based exception, if a filter cannot be recognized in the character sequence.

Parameters:

`begin` | Pointer to the first character of the sequence
`end` | Pointer to the after-the-last character of the sequence

Requires: | `begin <= end`, both pointers must not be `NULL`
Returns: | A function object that can be used as a filter.